+ Reply to Thread
Results 1 to 7 of 7
  1. #1
    Full Member eric_monceaux's Avatar
    Computer Details
    eric_monceaux's Computer Details
    Operating System:
    Windows 7 Home Premium (64-Bit)
    Computer:
    Toshiba Qosmio X505-Q880
    Motherboard:
    TOSHIBA Qosmio X505
    CPU:
    1.60 gigahertz Intel Core i7 Q 720 64-bit
    RAM:
    6GB DDR3
    Graphics:
    NVIDIA GeForce 360M
    Primary Storage:
    64 SSD
    Secondary Storage:
    500GB SATA
    Monitor:
    18.4" Laptop Monitor, 19" LCD Secondary
    Discipline
    Architectural
    eric_monceaux's Discipline Details
    Occupation
    3D Designer/Draftsman
    Discipline
    Architectural
    Using
    AutoCAD 2011
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    91

    Question Using Formulas in ACADM 2008

    Registered forum members do not see this ad.

    I am trying to stream line a modeling process in Mechanical 2008. I am creating fireplaces (to be made into Cast Stone), and I was instructed to give the weights of individual pieces. My process currently is to construct the 3D solid, then a MASSPROP to get the cubic inch measurement. After that, using a construction calculator, convert to cubic feet, and then multiply the cu.ft. by the density value (140) to get the final weight.

    i.e.-------------->
    Step 1: 4752 cu. in. (MASSPROP value) / 1728 (convert to cu. ft.) = 2.75 cu. ft.

    Step 2: 2.75 cu.ft. x 140 (cast stone density) = 385 LBS.

    Its not a huge deal, but a headache that I would like to remedy.

    Any thoughts?

  2. #2
    Senior Member Hoozin's Avatar
    Computer Details
    Hoozin's Computer Details
    Operating System:
    XP Pro
    Computer:
    Dell XPS M170 (Laptop)
    CPU:
    Intel Pentium M 2.0 GHz
    RAM:
    2 GB
    Graphics:
    NVIDIA GeForce Go 7800 GTX
    Primary Storage:
    Hitachi (something) 93GB Internal Hard Drive
    Monitor:
    17" (16:9) Stock Laptop Monitor, 15" (4:3) acer AL1714
    Using
    AutoCAD 2011
    Join Date
    Feb 2008
    Location
    Northern Virgina, USA
    Posts
    181

    Default

    Little lost on your question, but I think your asking for a simple command to get the weight of the piece from a single command versus doing the calculation yourself?

    I don't know of a command to do that for you, I suspect there's a thousand and one lisps for it though. I'm also not at all familiar with the vertical desktop applications beyond the ACAD base, so there may be something in there to do it for you too.

  3. #3
    Super Moderator fuccaro's Avatar
    Using
    AutoCAD 2006
    Join Date
    Nov 2002
    Location
    Romania, Marosvasarhely
    Posts
    3,543

    Default

    Quote Originally Posted by Hoozin View Post
    I don't know of a command to do that for you, I suspect there's a thousand and one lisps for it though.
    No, Hoozin! There are one-thausand-and-TWO. Look here:
    Code:
    (defun SumVolume ( / getvolume volume ss i ) 
        (defun getvolume ( object / area ) 
            (vl-catch-all-apply 
               '(lambda () 
                    (setq volume 
                        (vla-get-volume 
                            object 
                        ) 
                    ) 
                )    
            ) 
            (if volume volume 0.0) 
        ) 
        (if (setq volume 0.0 ss (ssget)) 
            (repeat (setq i (sslength ss)) 
                (setq volume 
                    (+ volume 
                        (getvolume 
                            (vlax-ename->vla-object 
                                (ssname ss 
                                    (setq i (1- i)) 
                                ) 
                            )    
                        ) 
                    ) 
                ) 
            ) 
        ) 
        
        (if volume volume 0.0)
      (princ
        (strcat "\nMAT.  DENS.    Kg \n--------------------"
         "\n" "OL   (7.85): " (rtos (* volume 785e-8))
         "\n" "Cu   (8.96): " (rtos (* volume 896e-8))
         "\n" "Al   (2.70): " (rtos (* volume 270e-8))
         "\n" "CuSn (8.15): " (rtos (* volume 815e-8))
         "\n" "CuZn (8.35): " (rtos (* volume 835e-8))
         "\n--------------------\n"
         )
        )
      (textscr)
      (princ)
      )
    Eric_monceaux
    This uses mm┬│ and I hard coded the densities for some metals. Just give it a quick try. If you like it, edit the list at the end.
    It's nice to be nice, but sometimes is nicer to be evil!.
    Tip: Please do not PM or email me with CAD questions - use the forums, you'll get an answer sooner.

  4. #4
    Full Member eric_monceaux's Avatar
    Computer Details
    eric_monceaux's Computer Details
    Operating System:
    Windows 7 Home Premium (64-Bit)
    Computer:
    Toshiba Qosmio X505-Q880
    Motherboard:
    TOSHIBA Qosmio X505
    CPU:
    1.60 gigahertz Intel Core i7 Q 720 64-bit
    RAM:
    6GB DDR3
    Graphics:
    NVIDIA GeForce 360M
    Primary Storage:
    64 SSD
    Secondary Storage:
    500GB SATA
    Monitor:
    18.4" Laptop Monitor, 19" LCD Secondary
    Discipline
    Architectural
    eric_monceaux's Discipline Details
    Occupation
    3D Designer/Draftsman
    Discipline
    Architectural
    Using
    AutoCAD 2011
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    91

    Question hmmmm

    Thanks for the quick response fuccaro. I am a little rusty as far as lisps are concerned, so I need just a little more info.

    I created the lisp with your coding, but I am trying to figure out how to type it at the CMD prompt.

    Also, you said that it is in MM3. Is there a way to convert that to CuFt?

  5. #5
    Super Moderator fuccaro's Avatar
    Using
    AutoCAD 2006
    Join Date
    Nov 2002
    Location
    Romania, Marosvasarhely
    Posts
    3,543

    Default

    -Copy-paste the code in Notepad and save the file as Sumvolume.LSP
    -Open a drawing, create some solids, drag the lisp file in the drawing area
    -Select one or more solids
    -Enter (sumvolume) in the command line

    If it works, modify the lisp to suit your needs and make a button to start it -I could write you how to change the density to work with other units
    It's nice to be nice, but sometimes is nicer to be evil!.
    Tip: Please do not PM or email me with CAD questions - use the forums, you'll get an answer sooner.

  6. #6
    Forum Newbie
    Using
    Mechanical 2008
    Join Date
    Sep 2008
    Posts
    1

    Drawing

    good morning sir
    i am from india iam student of the mechanical engg. iwant to learn about the layers into the autocad 2oo8.kindly send me some easy steps in detail.

  7. #7
    Super Member GE13579's Avatar
    Computer Details
    GE13579's Computer Details
    Operating System:
    Windows XP
    Computer:
    Fujitso Siemens
    RAM:
    3.4Ghz
    Monitor:
    Samsung 19" TFT
    Using
    Mechanical 2009
    Join Date
    Feb 2007
    Location
    North East England
    Posts
    1,454

    Default

    Registered forum members do not see this ad.

    Anjney- your question is rather too general to be answered in a forum. You should research a little more into Layers and then come back with some more specific answers. Also you will get a better response if you start a new thread.

    Also, welcome to the forum!
    "To alcohol; the cause and solution to all of life's problems." - Homer Simpson

Similar Threads

  1. Tables - Can you have formulas in them?
    By hardwired in forum AutoCAD Drawing Management & Output
    Replies: 11
    Last Post: 6th Mar 2008, 11:09 pm
  2. Shading behind formulas in a table
    By dabatman in forum AutoCAD Drawing Management & Output
    Replies: 1
    Last Post: 5th Feb 2008, 09:01 pm
  3. Replies: 0
    Last Post: 15th Sep 2007, 07:00 am
  4. Autocad 2008 v Architecture 2008
    By HHRC in forum AutoCAD Drawing Management & Output
    Replies: 3
    Last Post: 24th Jul 2007, 10:22 am
  5. Trailing zeros in table formulas....
    By Dave-CSMW in forum AutoCAD Drawing Management & Output
    Replies: 6
    Last Post: 7th Apr 2006, 03:03 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts